max 2008 script run on 2012


I Don't know difficult it is to compile a plugin witch runs on 2008 for max 2012.
Here are the source files

for some reason they dont support and compile those plugins anymore.
I wanna ask if someone could do this specially the warp texture would be nice.